Bug 827603 - plymouth segfault
plymouth segfault
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 16:29 EDT by David Zeuthen
Modified: 2013-03-05 23:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 20:01:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2012-06-01 16:29:12 EDT
On latest F17 w/ updates

 # rpm -q dracut plymouth systemd
 dracut-018-40.git20120522.fc17.noarch
 plymouth-0.8.4-0.20120319.2.fc17.x86_64
 systemd-44-12.fc17.x86_64

NOTE: I have a serial console attached to this machine (which the BIOS and grub2 is also hooked up to), here's the kernel command-line

 # cat /proc/cmdline 
 BOOT_IMAGE=/boot/vmlinuz-3.3.7-1.fc17.x86_64 root=UUID=119f7aee-6a8f-4c4d-88fa-7160324a010f ro console=tty0 console=ttyS0,115200,8n1 SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us

Here's the crash

# journalctl 
Jun 01 15:18:31 titan systemd-journal[255]: Journal started
Jun 01 15:18:33 titan plymouthd[340]: *** glibc detected *** /sbin/plymouthd: munmap_chunk(): invalid pointer: 0x000000000040e227 ***
Jun 01 15:18:33 titan plymouthd[340]: ======= Backtrace: =========
Jun 01 15:18:31 titan systemd-journal[255]: Journal started
Jun 01 15:18:33 titan plymouthd[340]: *** glibc detected *** /sbin/plymouthd: munmap_chunk(): invalid pointer: 0x000000000040e227 ***
Jun 01 15:18:33 titan plymouthd[340]: ======= Backtrace: =========
Jun 01 15:18:33 titan plymouthd[340]: /lib64/libc.so.6(+0x7b616)[0x7f4312c9f616]
Jun 01 15:18:33 titan plymouthd[340]: /lib64/libply.so.2(ply_hashtable_foreach+0x53)[0x7f43138fda93]
Jun 01 15:18:33 titan plymouthd[340]: /sbin/plymouthd[0x40c069]
Jun 01 15:18:33 titan plymouthd[340]: /sbin/plymouthd[0x40475c]
Jun 01 15:18:33 titan plymouthd[340]: /lib64/libc.so.6(__libc_start_main+0xf5)[0x7f4312c45735]
Jun 01 15:18:33 titan plymouthd[340]: /sbin/plymouthd[0x405605]
Jun 01 15:18:33 titan plymouthd[340]: ======= Memory map: ========
Jun 01 15:18:33 titan plymouthd[340]: 00400000-00412000 r-xp 00000000 08:01 24643373                           /usr/sbin/plymouthd
Jun 01 15:18:33 titan plymouthd[340]: 00611000-00612000 r--p 00011000 08:01 24643373                           /usr/sbin/plymouthd
Jun 01 15:18:33 titan plymouthd[340]: 00612000-00613000 rw-p 00012000 08:01 24643373                           /usr/sbin/plymouthd
Jun 01 15:18:33 titan plymouthd[340]: 00a9e000-00abf000 rw-p 00000000 00:00 0                                  [heap]
Jun 01 15:18:33 titan plymouthd[340]: 7f43127f3000-7f4312808000 r-xp 00000000 08:01 24774502                   /usr/lib64/libgcc_s-4.7.0-20120507.so.1
Jun 01 15:18:33 titan plymouthd[340]: 7f4312808000-7f4312a07000 ---p 00015000 08:01 24774502                   /usr/lib64/libgcc_s-4.7.0-20120507.so.1
Jun 01 15:18:33 titan plymouthd[340]: 7f4312a07000-7f4312a08000 rw-p 00014000 08:01 24774502                   /usr/lib64/libgcc_s-4.7.0-20120507.so.1
Jun 01 15:18:33 titan plymouthd[340]: 7f4312a08000-7f4312a1e000 r-xp 00000000 08:01 24774539                   /usr/lib64/libpthread-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312a1e000-7f4312c1e000 ---p 00016000 08:01 24774539                   /usr/lib64/libpthread-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312c1e000-7f4312c1f000 r--p 00016000 08:01 24774539                   /usr/lib64/libpthread-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312c1f000-7f4312c20000 rw-p 00017000 08:01 24774539                   /usr/lib64/libpthread-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312c20000-7f4312c24000 rw-p 00000000 00:00 0
Jun 01 15:18:33 titan plymouthd[340]: 7f4312c24000-7f4312dd0000 r-xp 00000000 08:01 24774513                   /usr/lib64/libc-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312dd0000-7f4312fd0000 ---p 001ac000 08:01 24774513                   /usr/lib64/libc-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312fd0000-7f4312fd4000 r--p 001ac000 08:01 24774513                   /usr/lib64/libc-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312fd4000-7f4312fd6000 rw-p 001b0000 08:01 24774513                   /usr/lib64/libc-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312fd6000-7f4312fdb000 rw-p 00000000 00:00 0
Jun 01 15:18:33 titan plymouthd[340]: 7f4312fdb000-7f4312fde000 r-xp 00000000 08:01 24774519                   /usr/lib64/libdl-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4312fde000-7f43131dd000 ---p 00003000 08:01 24774519                   /usr/lib64/libdl-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43131dd000-7f43131de000 r--p 00002000 08:01 24774519                   /usr/lib64/libdl-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43131de000-7f43131df000 rw-p 00003000 08:01 24774519                   /usr/lib64/libdl-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43131df000-7f43131e6000 r-xp 00000000 08:01 24774543                   /usr/lib64/librt-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43131e6000-7f43133e5000 ---p 00007000 08:01 24774543                   /usr/lib64/librt-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43133e5000-7f43133e6000 r--p 00006000 08:01 24774543                   /usr/lib64/librt-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43133e6000-7f43133e7000 rw-p 00007000 08:01 24774543                   /usr/lib64/librt-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43133e7000-7f43134e1000 r-xp 00000000 08:01 24774521                   /usr/lib64/libm-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43134e1000-7f43136e0000 ---p 000fa000 08:01 24774521                   /usr/lib64/libm-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43136e0000-7f43136e1000 r--p 000f9000 08:01 24774521                   /usr/lib64/libm-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43136e1000-7f43136e2000 rw-p 000fa000 08:01 24774521                   /usr/lib64/libm-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f43136e2000-7f43136f3000 r-xp 00000000 08:01 24775323                   /usr/lib64/libply-splash-core.so.2.0.0
Jun 01 15:18:33 titan plymouthd[340]: 7f43136f3000-7f43138f2000 ---p 00011000 08:01 24775323                   /usr/lib64/libply-splash-core.so.2.0.0
Jun 01 15:18:33 titan plymouthd[340]: 7f43138f2000-7f43138f3000 r--p 00010000 08:01 24775323                   /usr/lib64/libply-splash-core.so.2.0.0
Jun 01 15:18:33 titan plymouthd[340]: 7f43138f3000-7f43138f4000 rw-p 00011000 08:01 24775323                   /usr/lib64/libply-splash-core.so.2.0.0
Jun 01 15:18:33 titan plymouthd[340]: 7f43138f4000-7f431390a000 r-xp 00000000 08:01 24775325                   /usr/lib64/libply.so.2.0.0
Jun 01 15:18:33 titan plymouthd[340]: 7f431390a000-7f4313b09000 ---p 00016000 08:01 24775325                   /usr/lib64/libply.so.2.0.0
Jun 01 15:18:33 titan plymouthd[340]: 7f4313b09000-7f4313b0a000 r--p 00015000 08:01 24775325                   /usr/lib64/libply.so.2.0.0
Jun 01 15:18:33 titan plymouthd[340]: 7f4313b0a000-7f4313b0b000 rw-p 00016000 08:01 24775325                   /usr/lib64/libply.so.2.0.0
Jun 01 15:18:33 titan plymouthd[340]: 7f4313b0b000-7f4313b2b000 r-xp 00000000 08:01 24773147                   /usr/lib64/ld-2.15.so
Jun 01 15:18:33 titan systemd[1]: plymouth-start.service: control process exited, code=exited status=1
Jun 01 15:18:33 titan plymouthd[340]: 7f4313d1f000-7f4313d24000 rw-p 00000000 00:00 0
Jun 01 15:18:33 titan plymouthd[340]: 7f4313d28000-7f4313d29000 rw-p 00000000 00:00 0
Jun 01 15:18:33 titan plymouthd[340]: 7f4313d29000-7f4313d2a000 rw-p 00000000 00:00 0
Jun 01 15:18:33 titan plymouthd[340]: 7f4313d2a000-7f4313d2b000 r--p 0001f000 08:01 24773147                   /usr/lib64/ld-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4313d2b000-7f4313d2c000 rw-p 00020000 08:01 24773147                   /usr/lib64/ld-2.15.so
Jun 01 15:18:33 titan plymouthd[340]: 7f4313d2c000-7f4313d2d000 rw-p 00000000 00:00 0
Jun 01 15:18:33 titan plymouthd[340]: 7fff134bd000-7fff134de000 rw-p 00000000 00:00 0                          [stack]
Jun 01 15:18:33 titan plymouthd[340]: 7fff135ff000-7fff13600000 r-xp 00000000 00:00 0                          [vdso]
Jun 01 15:18:33 titan plymouthd[340]: ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Jun 01 15:18:33 titan plymouthd[340]: unexpectedly died from signal Aborted immediately after starting to daemonize
Jun 01 15:18:33 titan systemd[1]: Unit plymouth-start.service entered failed state.
Comment 1 David Zeuthen 2012-06-01 16:29:47 EDT
# cat /sys/class/tty/console/active
tty0 ttyS0
Comment 2 Fedora Update System 2012-06-01 16:36:42 EDT
plymouth-0.8.5-0.2012.04.27.1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/plymouth-0.8.5-0.2012.04.27.1.fc17
Comment 3 David Zeuthen 2012-06-01 17:06:32 EDT
Yes, this seems to work. Thanks.
Comment 4 Fedora Update System 2012-06-02 20:01:55 EDT
Package plymouth-0.8.5-0.2012.04.27.1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing plymouth-0.8.5-0.2012.04.27.1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8817/plymouth-0.8.5-0.2012.04.27.1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-08 20:01:08 EDT
plymouth-0.8.5-0.2012.04.27.1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.